STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

local function AddModRecipe(_recName, _ingrList, _tab, _techLevel, _recType, _placer, _spacing, _proxyLock, _amount)
	if GLOBAL.CAPY_DLC and GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
		return GLOBAL.Recipe(_recName, _ingrList , _tab, _techLevel, _recType, _placer, _spacing, _proxyLock, _amount)
	else
		return GLOBAL.Recipe(_recName, _ingrList , _tab, _techLevel, _placer, _spacing, _proxyLock, _amount)
	end
end

-----ROPE-----
local ropemulti = AddModRecipe("ropemulti", {Ingredient("cutgrass", 24)}, RECIPETABS.REFINE, TECH.SCIENCE_ONE)
ropemulti.product = "rope"
ropemulti.image = "rope.tex"
ropemulti.numtogive = 10
STRINGS.NAMES.ROPEMULTI = "Rope x 10"
STRINGS.RECIPE_DESC.ROPEMULTI = "Lots of tightly woven coils of usefulness."

-----BOARDS-----
local boardsmulti = AddModRecipe("boardsmulti", {Ingredient("log", 32)}, RECIPETABS.REFINE, TECH.SCIENCE_ONE)
boardsmulti.product = "boards"
boardsmulti.image = "boards.tex"
boardsmulti.numtogive = 10
STRINGS.NAMES.BOARDSMULTI = "Boards x 10"
STRINGS.RECIPE_DESC.BOARDSMULTI = "Like lots of logs but flatter."

-----CUT STONE-----
local cutstonemulti = AddModRecipe("cutstonemulti", {Ingredient("rocks", 24)}, RECIPETABS.REFINE, TECH.SCIENCE_ONE)
cutstonemulti.product = "cutstone"
cutstonemulti.image = "cutstone.tex"
cutstonemulti.numtogive = 10
STRINGS.NAMES.CUTSTONEMULTI = "Cut Stone x 10"
STRINGS.RECIPE_DESC.CUTSTONEMULTI = "Lots of nicely squared rocks."

-----PAPYRUS-----
local papyrusmulti = AddModRecipe("papyrusmulti", {Ingredient("cutreeds", 32)}, RECIPETABS.REFINE, TECH.SCIENCE_ONE) --Refine tab, requires science machine.
papyrusmulti.product = "papyrus"
papyrusmulti.image = "papyrus.tex"
papyrusmulti.numtogive = 10
STRINGS.NAMES.PAPYRUSMULTI = "papyrus x 10"
STRINGS.RECIPE_DESC.PAPYRUSMULTI = "For writing lots of things."

-----COBBLESTONE-----
local cobblemulti = AddModRecipe("cobblemulti", {Ingredient("boards", 5),Ingredient("turf_rocky", 5)}, RECIPETABS.TOWN, TECH.SCIENCE_TWO) --Structures tab, requires alchemy engine.
cobblemulti.product = "turf_road"
cobblemulti.image = "turf_road.tex"
cobblemulti.numtogive = 10
STRINGS.NAMES.COBBLEMULTI = "cobblestone x 10"
STRINGS.RECIPE_DESC.COBBLEMULTI = "For going lots of places"

---Makes this recipe toggleable in config options.
if GetModConfigData("toothtraptoggle") == true then
	-----TOOTH TRAP-----
	local toothmulti = AddModRecipe("toothmulti", {Ingredient("log", 3),Ingredient("rope", 3),Ingredient("houndstooth", 3)}, RECIPETABS.WAR, TECH.SCIENCE_TWO)
	toothmulti.product = "trap_teeth"
	toothmulti.image = "trap_teeth.tex"
	toothmulti.numtogive = 5
	STRINGS.NAMES.TOOTHMULTI = "Tooth Trap x 5"
	STRINGS.RECIPE_DESC.TOOTHMULTI = "For Biting Lots of Feet"
end

---Checks for SW DLC (old way)
--if (GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)) then 

--New Config way
if GetModConfigData('swdlc') == true then

-----COBBLESTONE SW-----
local cobblemultisw = AddModRecipe("cobblemultisw", {Ingredient("boards", 5),Ingredient("turf_magmafield", 5)}, RECIPETABS.TOWN, TECH.SCIENCE_TWO)
cobblemultisw.product = "turf_road"
cobblemultisw.image = "turf_road.tex"
cobblemultisw.numtogive = 10
STRINGS.NAMES.COBBLEMULTISW = "cobblestone x 10"
STRINGS.RECIPE_DESC.COBBLEMULTISW = "For going lots of places"

-----CLOTH SW-----
local clothmultisw = AddModRecipe("clothmultisw", {Ingredient("bamboo", 24)}, RECIPETABS.REFINE, TECH.SCIENCE_ONE)
clothmultisw.product = "fabric"
clothmultisw.image = "fabric.tex"
clothmultisw.numtogive = 10
STRINGS.NAMES.CLOTHMULTISW = "cloth x 10"
STRINGS.RECIPE_DESC.CLOTHMULTISW = "For making lots of cloth"

-----TRAWL NET SW-----
local trawlmultisw = AddModRecipe("trawlmultisw", {Ingredient("rope", 6),Ingredient("bamboo", 4)}, RECIPETABS.NAUTICAL, TECH.SCIENCE_ONE)
trawlmultisw.product = "trawlnet"
trawlmultisw.image = "trawlnet.tex"
trawlmultisw.numtogive = 3
STRINGS.NAMES.TRAWLMULTISW = "Trawl Net x 3"
STRINGS.RECIPE_DESC.TRAWLMULTISW = "For catching lots of fish, or old boots."

end
